// demoView.h : interface of the CSVImageViewerView class
//
/////////////////////////////////////////////////////////////////////////////

class CSVImageViewerView : public CScrollView
{
protected: // create from serialization only
	CSVImageViewerView();
	DECLARE_DYNCREATE(CSVImageViewerView)

// Attributes
public:
	CSVImageViewerDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSVImageViewerView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	void GetImageXY(CSVImageViewerDoc *pDoc, CxImage *ima, long *x, long *y);
	virtual ~CSVImageViewerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

//	long m_SelCount;
//	long m_SelShift;
protected:
	CBrush m_brHatch;

// Generated message map functions
protected:
//	void DrawSelection();
	//{{AFX_MSG(CSVImageViewerView)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	afx_msg LRESULT OnNewImage(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnNewProgress(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in demoView.cpp
inline CSVImageViewerDoc* CSVImageViewerView::GetDocument()
   { return (CSVImageViewerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
